View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009304ParaViewBugpublic2009-07-22 17:402011-01-13 17:00
ReporterKen Moreland 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformMacOSOS Version
Product Version3.6 
Target Version3.6.2Fixed in Version3.6.2 
Summary0009304: Cannot change legend names on Mac
DescriptionWhen I have a line plot, I am unable to change the names in the legend name column of the Display panel. I can click on the selected cell and that lets me edit it, but when I finish editing the name reverts back to whatever it was previously.

I have only tried this on a Mac. I don't know if there are similar problems on other platforms.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0009207closedUtkarsh Ayachit Chart variable names won't edit 

-  Notes
(0017033)
Utkarsh Ayachit (administrator)
2009-07-31 10:28
edited on: 2009-07-31 10:28

It's true on all platforms.

(0017035)
Utkarsh Ayachit (administrator)
2009-07-31 11:03

Added support to change the label for the series. The
label is used by the legend when showing the legend for the series.

/cvsroot/ParaView3/ParaView3/VTK/GUISupport/Qt/Chart/vtkQtChartSeriesOptions.h,v <-- VTK/GUISupport/Qt/Chart/vtkQtChartSeriesOptions.h
new revision: 1.7; previous revision: 1.6
/cvsroot/ParaView3/ParaView3/VTK/GUISupport/Qt/Chart/vtkQtChartLegendManager.cxx,v <-- VTK/GUISupport/Qt/Chart/vtkQtChartLegendManager.cxx
new revision: 1.7; previous revision: 1.6
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/Resources/rendering.xml,v <-- Servers/ServerManager/Resources/rendering.xml
new revision: 1.360; previous revision: 1.359
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMPropertyHelper.h,v <-- Servers/ServerManager/vtkSMPropertyHelper.h
new revision: 1.7; previous revision: 1.6
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMPropertyHelper.cxx,v <-- Servers/ServerManager/vtkSMPropertyHelper.cxx
new revision: 1.6; previous revision: 1.5
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMChartNamedOptionsModelProxy.h,v <-- Servers/ServerManager/vtkSMChartNamedOptionsModelProxy.h
new revision: 1.9; previous revision: 1.8
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMChartNamedOptionsModelProxy.cxx,v <-- Servers/ServerManager/vtkSMChartNamedOptionsModelProxy.cxx
new revision: 1.6; previous revision: 1.5
/cvsroot/ParaView3/ParaView3/Qt/Components/pqChartSeriesEditorModel.h,v <-- Qt/Components/pqChartSeriesEditorModel.h
new revision: 1.4; previous revision: 1.3
/cvsroot/ParaView3/ParaView3/Qt/Components/pqChartSeriesEditorModel.cxx,v <-- Qt/Components/pqChartSeriesEditorModel.cxx
new revision: 1.8; previous revision: 1.7
(0017036)
Utkarsh Ayachit (administrator)
2009-07-31 11:08

Committed to 3.6 branch.

/cvsroot/ParaView3/ParaView3/VTK/GUISupport/Qt/Chart/vtkQtChartSeriesOptions.h,v <-- VTK/GUISupport/Qt/Chart/vtkQtChartSeriesOptions.h
new revision: 1.6.2.1; previous revision: 1.6
/cvsroot/ParaView3/ParaView3/VTK/GUISupport/Qt/Chart/vtkQtChartLegendManager.cxx,v <-- VTK/GUISupport/Qt/Chart/vtkQtChartLegendManager.cxx
new revision: 1.6.2.1; previous revision: 1.6
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/Resources/rendering.xml,v <-- Servers/ServerManager/Resources/rendering.xml
new revision: 1.349.2.4; previous revision: 1.349.2.3
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMPropertyHelper.h,v <-- Servers/ServerManager/vtkSMPropertyHelper.h
new revision: 1.6.2.1; previous revision: 1.6
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMPropertyHelper.cxx,v <-- Servers/ServerManager/vtkSMPropertyHelper.cxx
new revision: 1.5.2.1; previous revision: 1.5
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMChartNamedOptionsModelProxy.h,v <-- Servers/ServerManager/vtkSMChartNamedOptionsModelProxy.h
new revision: 1.5.2.1; previous revision: 1.5
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMChartNamedOptionsModelProxy.cxx,v <-- Servers/ServerManager/vtkSMChartNamedOptionsModelProxy.cxx
new revision: 1.5.2.1; previous revision: 1.5
/cvsroot/ParaView3/ParaView3/Qt/Components/pqChartSeriesEditorModel.h,v <-- Qt/Components/pqChartSeriesEditorModel.h
new revision: 1.3.2.1; previous revision: 1.3
/cvsroot/ParaView3/ParaView3/Qt/Components/pqChartSeriesEditorModel.cxx,v <-- Qt/Components/pqChartSeriesEditorModel.cxx
new revision: 1.7.2.1; previous revision: 1.7
(0017045)
Alan Scott (manager)
2009-07-31 19:41

Tested local server, Linux.

- Issue History
Date Modified Username Field Change
2009-07-22 17:40 Ken Moreland New Issue
2009-07-22 17:40 Ken Moreland Status backlog => tabled
2009-07-22 17:40 Ken Moreland Assigned To => Utkarsh Ayachit
2009-07-31 10:28 Utkarsh Ayachit Note Added: 0017033
2009-07-31 10:28 Utkarsh Ayachit Note Edited: 0017033
2009-07-31 11:03 Utkarsh Ayachit Note Added: 0017035
2009-07-31 11:03 Utkarsh Ayachit Status tabled => @80@
2009-07-31 11:03 Utkarsh Ayachit Resolution open => fixed
2009-07-31 11:08 Utkarsh Ayachit Note Added: 0017036
2009-07-31 11:08 Utkarsh Ayachit Fixed in Version => 3.6.2
2009-07-31 19:41 Alan Scott Note Added: 0017045
2009-07-31 19:41 Alan Scott Status @80@ => closed
2009-08-04 15:47 Utkarsh Ayachit Relationship added has duplicate 0009207
2011-01-13 17:00 Source_changeset_attached => VTK master a2bd8391
2011-01-13 17:00 Source_changeset_attached => VTK master 020ef709


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker